
Foreman - Bug #21201

Notification link not properly shown

10/04/2017 04:37 PM - Walden Raines

Status: Duplicate   

Priority: Normal   

Assignee: Amir Fefer   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1488975 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1488975

Description of problem:

Notifications on UI Drawer don't have enough space to be properly show on screen (see screen shot). To access Detail link one have

to scroll inside the html element.

Version-Release number of selected component (if applicable):

6.3 snap 14

How reproducible:

Always

Steps to Reproduce:

1. Make a discovery host available

2. Open Notification Drawer

3. Click on notification's detail (The 3 dots icon on top right corner)

Actual results:

Detail button is hidden and user must scroll to access it.

Expected results:

Button should be accessible without scrolling.

Additional info:

Related issues:

Related to Foreman - Refactor #23357: Migrate notification-drawer to use patt... Closed 04/22/2018

History

#1 - 10/04/2017 04:37 PM - Walden Raines

- Target version set to 224

#2 - 10/10/2017 09:55 AM - Walden Raines

- Assignee set to Amir Fefer

#3 - 10/23/2017 10:39 AM - Amir Fefer

- File Screenshot from 2017-10-23 13-36-37.png added

Looks like this bug has been resolved, as you can see at the uploaded screenshot.

#4 - 10/23/2017 11:01 AM - Ohad Levy
https://bugzilla.redhat.com/show_bug.cgi?id=1488975


Amir Fefer wrote:

Looks like this bug has been resolved, as you can see at the uploaded screenshot.

 Amir - also you screenshot looks wrong, the dropdown should be just below the kebab. I wonder if we are misusing the pf css in this case as these

are the kind of bugs that I don't believe exists in pf repos.

#5 - 10/30/2017 01:33 PM - Walden Raines

- Target version changed from 224 to 228

#6 - 11/21/2017 01:13 AM - Walden Raines

- Target version changed from 228 to 234

#7 - 12/12/2017 01:33 PM - Walden Raines

- Target version changed from 234 to 237

#8 - 12/12/2017 01:42 PM - Walden Raines

- Target version changed from 237 to 239

#9 - 01/23/2018 02:41 PM - Walden Raines

- Target version changed from 239 to 243

#10 - 02/13/2018 02:08 PM - Walden Raines

- Target version changed from 243 to 248

#11 - 03/06/2018 01:47 PM - Walden Raines

- Target version changed from 248 to 250

#12 - 03/27/2018 03:22 PM - Walden Raines

- Target version changed from 250 to 253

#13 - 06/18/2018 08:55 PM - Walden Raines

- Target version deleted (253)

#14 - 06/19/2018 04:17 PM - Amir Fefer

- File Screenshot from 2018-06-19 19-13-48.png added

Looks like migrating to patternfly-react fixed this issue

https://projects.theforeman.org/issues/23357

see attached image.

#15 - 06/19/2018 09:16 PM - Amir Fefer

- Related to Refactor #23357: Migrate notification-drawer to use patternfly-react added

#16 - 06/19/2018 09:17 PM - Amir Fefer

- Status changed from New to Duplicate

Files

Screenshot from 2017-10-23 13-36-37.png 40.3 KB 10/23/2017 Amir Fefer

Screenshot from 2018-06-19 19-13-48.png 20.9 KB 06/19/2018 Amir Fefer
